/*
 *	@(#)_insize.c	1.2 00/02/18
 */

/**************************************************************************
**                                                                        *
**  FILE        :  _insize.c                                              *
**                                                                        *
**  DESCRIPTION :  Gets keyboard buffer size for stdin.                   *
**                 FOR STDIN ONLY !!!                                     *
**                 Called by macro kbhit().                               *
**                                                                        *
**  COPYRIGHT   :  1995-2000 TASKING, Inc.                                *
**                                                                        *
**************************************************************************/
#ifndef NOFSS
#ifndef MOTFSS

#include <stdio.h>
#include <stddef.h>
#include <string.h>
#include <errno.h>

#include "fss.h"

#if SERIAL_IO
int _serio_insize( void ) ; /* serio_in.c */
#endif

long _insize( int fd )
{
	long retval = -1L;

#if !SERIAL_IO || (SERIAL_IO && STDAUX)
	/* 
	 * Get queue size for stdin which is *not* redirected to a serial port
     */
	FSS_BUF* b = & _fss_buffer;
	_fss_init();

	if ( fd == 0 )  /* Use for stdin only */
	{
		b->buff_size = offsetof(FSS_BUF,u2) + sizeof(b->u2.insize);
		b->u1.call_id = FSS_INSIZE;
		b->u2.read_short.in.fd = fd;

		_fss_break();		/* pass control to CrossView */

		retval = b->u1.retval;
		if	( retval < 0 )
		{
			errno = b->u2.errno;
		}
		else
		{
			retval = b->u2.insize.nchars;
		}
	}
#if SERIAL_IO
	/* 
	 * Get queue size for stdaux serial port
     */
	else if ( fd == STDAUX )
#endif /* SERIAL_IO */
#else	/* SERIAL_IO && !STDAUX */
	/* 
	 * Get queue size for stdin redirected to a serial port
     */
	if ( fd == 0 )
#endif /* !SERIAL_IO || (SERIAL_IO && STDAUX) */
#if SERIAL_IO
	{
		retval = (long)_serio_insize();
	}
#endif	/* SERIAL_IO */
	return retval;
}

#endif /* MOTFSS */
#endif /* NOFSS */
