/*
 *	@(#)irq5636x.h	1.2 01/06/18
 */

/**************************************************************************
**                                                                        *
**  FILE        :  irq5636x.h                                             *
**                                                                        *
**  DESCRIPTION :  Include file with interrupt vector number definitions  *
**                 for the DSP5636x.                                      *
**                                                                        *
**  COPYRIGHT   :  1999 TASKING, Inc.                                     *
**                                                                        *
**************************************************************************/

#ifndef _IRQ5636X_H
#define _IRQ5636X_H

/* Note: interrupt vector _addresses_ are twice the vector number! 	 */
/*       These addresses are offset by the value in the VBA register. 	 */

#define IRQ_START	 0	/*   (-) Start 'interrupt vector'	 */
#define IRQ_STKERR	 1	/*   (3) Stack Error interrupt	 	 */
#define IRQ_ILLINST	 2	/*   (3) Illegal Instruction interrupt 	 */
#define IRQ_DEBUG	 3	/*   (3) Debug Request interrupt	 */
#define IRQ_SWI		 4	/*   (3) SoftWare Interrupt (trap)	 */
#define IRQ_NMI		 5	/*   (3) Non-Maskable Interrupt	 	 */
#define IRQ_A		 8	/* (0-2) \IRQA pin interrupt	 	 */
#define IRQ_B		 9	/* (0-2) \IRQB pin interrupt	 	 */
#ifndef _REG56364_H
#define IRQ_C		10	/* (0-2) \IRQC pin interrupt	 	 */
#endif
#define IRQ_D		11	/* (0-2) \IRQD pin interrupt	 	 */
#define IRQ_DMA0	12	/* (0-2) DMA Channel 0 interrupt 	 */
#define IRQ_DMA1	13	/* (0-2) DMA Channel 1 interrupt 	 */
#define IRQ_DMA2	14	/* (0-2) DMA Channel 2 interrupt 	 */
#define IRQ_DMA3	15	/* (0-2) DMA Channel 3 interrupt 	 */
#define IRQ_DMA4	16	/* (0-2) DMA Channel 4 interrupt 	 */
#define IRQ_DMA5	17	/* (0-2) DMA Channel 5 interrupt 	 */
#ifndef _REG56364_H
#define IRQ_DAX_UE 	20      /* (0-2) DAX Underrun error	 	 */
#define IRQ_DAX_BT 	21      /* (0-2) DAX Block transferred	 	 */
#define IRQ_DAX_ADE 	23      /* (0-2) DAX Audio Data Empty	 	 */
#endif
#define IRQ_ESAI_RCV 	24      /* (0-2) ESAI Receive Data interrupt	 */
#define IRQ_ESAI_RED 	25      /* (0-2) ESAI Receive Even Data interrupt*/
#define IRQ_ESAI_RCE 	26      /* (0-2) ESAI Receive Error interrupt 	 */
#define IRQ_ESAI_RCL 	27      /* (0-2) ESAI Receive Last interrupt	 */
#define IRQ_ESAI_TRM 	28      /* (0-2) ESAI Transmit Data interrupt	 */
#define IRQ_ESAI_TED 	29      /* (0-2) ESAI Transmit Even Data	 */
#define IRQ_ESAI_TRE 	30      /* (0-2) ESAI Transmit Error interrupt 	 */
#define IRQ_ESAI_TRL 	31      /* (0-2) ESAI Transmit Last interrupt 	 */
#define IRQ_SHI_TRM 	32      /* (0-2) SHI Transmit Data interrupt	 */
#define IRQ_SHI_TUE 	33      /* (0-2) SHI Transmit Underrun error	 */
#define IRQ_SHI_RFNE 	34      /* (0-2) SHI Receive FIFO not empty 	 */
#define IRQ_SHI_RFFL 	36      /* (0-2) SHI Receive FIFO not empty 	 */
#define IRQ_SHI_RCOE 	37      /* (0-2) SHI Receive Overrun error	 */
#define IRQ_SHI_BE 	38      /* (0-2) SHI Bus Error			 */
#ifndef _REG56364_H
#define IRQ_TM0CMP	42	/* (0-2) Timer 0 Compare interrupt 	 */
#define IRQ_TM0OVF	43	/* (0-2) Timer 0 Overflow interrupt 	 */
#define IRQ_TM1CMP	44	/* (0-2) Timer 1 Compare interrupt 	 */
#define IRQ_TM1OVF	45	/* (0-2) Timer 1 Overflow interrupt 	 */
#define IRQ_TM2CMP	46	/* (0-2) Timer 2 Compare interrupt 	 */
#define IRQ_TM2OVF	47	/* (0-2) Timer 2 Overflow interrupt 	 */
#define IRQ_HOST_RDRF 	48      /* (0-2) Host Receive Data Full 	 */
#define IRQ_HOST_TDRE 	49      /* (0-2) Host Transmit Data Empty	 */
#define IRQ_HOST_CMD 	50      /* (0-2) Host Command	 	 	 */
#endif
#if _REG56366_H || _REG56367_H
#define IRQ_ESAI1_RCV 	56      /* (0-2) ESAI_1 Receive Data interrupt	 */
#define IRQ_ESAI1_RED 	57      /* (0-2) ESAI_1 Receive Even Data interrupt*/
#define IRQ_ESAI1_RCE 	58      /* (0-2) ESAI_1 Receive Error interrupt  */
#define IRQ_ESAI1_RCL 	59      /* (0-2) ESAI_1 Receive Last interrupt	 */
#define IRQ_ESAI1_TRM 	60      /* (0-2) ESAI_1 Transmit Data interrupt	 */
#define IRQ_ESAI1_TED 	61      /* (0-2) ESAI_1 Transmit Even Data	 */
#define IRQ_ESAI1_TRE 	62      /* (0-2) ESAI_1 Transmit Error interrupt */
#define IRQ_ESAI1_TRL 	63      /* (0-2) ESAI_1 Transmit Last interrupt  */
#endif

#endif /* _IRQ5636X_H */
