;*****************************************************************************
;*
;*  VERSION CONTROL:    @(#)56321evb.asm	1.2 01/12/14
;*
;*  DESCRIPTION:        DSP563xx C-compiler startup code:
;*                      Hardware configuration values for DSP56321EVB, 
;*			unified memory map.
;*	
;*  IN PACKAGE:         DSP563xx C-compiler library.
;*
;*  COPYRIGHT:          Copyright (c) 1999-2001 TASKING, Inc.
;*
;*****************************************************************************

		IF	!@DEF(_AS56)
		define	extern	'xref'
		section	r_56321evb_asm
		ENDIF

                global  R_56321evb
                global  R_AAR0VALUE,R_AAR1VALUE,R_AAR2VALUE,R_AAR3VALUE
		global	R_BCRVALUE,R_DCRVALUE,R_OMRVALUE,R_SRVALUE

; these values are used by CrossView for register initialization before downloading

R_56321evb      equ     0

;*****************************************************************************
;*
;*	MEMORY CONFIGURATION REGISTERS:
;*	------------------------------
;*
;*	DSP56321 unified memory map:
;*						Y X P
;*			BAC	       BNC  7 6 5 4 3 2 10
;*	AAR0 (SRAM):	0000.0000.0000-0111-0-0-1-1-1-0-01  = $000739   X/Y/P:$000000..$01ffff
;*	AAR1 (EEROM):	0000.0010.0000-1000-0-0-1-1-1-0-01  = $020839	X/Y/P:$020000..$02ffff
;*	AAR2 (not used):				    = $000000
;*	AAR3 (not used):				    = $000000
;*
;*
;*	BCR:		000-00001-001-001-11110-00011	    = $0127C3
;*
;*			  0     1   1   1    30     3	      waitstates (FLASH 150 ns)
;*		 	MISC DEF AAR3 AAR2 AAR1  AAR0
;* 
;*	DCR  (not used):				    = $000000
;*		 

R_AAR0VALUE	equ	$000739
R_AAR1VALUE	equ	$020839
R_AAR2VALUE	equ	0
R_AAR3VALUE	equ	0

R_BCRVALUE	equ	$012681
R_DCRVALUE	equ	0
R_OMRVALUE	equ	0


;*****************************************************************************
;*
;*	DPLL CONFIGURATION REGISTERS:
;*	-----------------------------
;*
;*					
;*				      DF  PEN XTLD PSTP
;*	DCCR:	0000.0000.0000.0000.0-011-1---1----1----0	= $00003E
;*					
;*		BRMO PLM PDF  MFD     MFN     MFI
;*	DSCR:	1----1---0000-0000000-0000000-1000		= $C00008
;*					

		define	PLLVALUE '$0'		; Select DPLL unit

		IF	!@DEF('PLL_CLOCK')
		define	PLL_CLOCK '$00003E'	; Default 19.6608 MHz
		ENDIF	; !@DEF('PLL_CLOCK')

		IF	!@DEF('PLL_STATIC')
		define	PLL_STATIC '$C00008'	; Default 19.6608 MHz
		ENDIF	; !@DEF('PLL_STATIC')


		IF	!@DEF('NOCACHE')
	
		IF	!@DEF('VBAVALUE')
		define	VBAVALUE '$400'		; Move the interrupt vectors if necessary 
		ENDIF	; !@DEF('VBAVALUE')
	
R_SRVALUE       equ     $C80300
		
		ELSE	; !@DEF('NOCACHE')

		IF	!@DEF('VBAVALUE')
		define	VBAVALUE  '0'
		ENDIF	; !@DEF('VBAVALUE')

R_SRVALUE       equ     $C00300

		ENDIF	; !@DEF('NOCACHE') 

		NOLIST
		include	'reg56321.inc'		; Processor register definitions
		LIST

                include 'cstart.inc'		; Generic startup code 

		IF	!@DEF(_AS56)
		endsec
		ENDIF

		end

;*****************************************************************************
